Summary:	Powerful administration and development platform for the PostgreSQL
Summary(pl.UTF-8):	Potężna platforma do administrowania i programowania bazy PostgreSQL
Name:		pgadmin3
Version:	1.18.0
Release:	1
Epoch:		0
License:	Artistic
Group:		Applications/Databases
Source0:	http://ftp.postgresql.org/pub/pgadmin3/release/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	ed1968a9abda0064be68bf57d7ccad43
Source1:	%{name}.desktop
Patch0:		%{name}-m4.patch
URL:		http://www.pgadmin.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libxml2-devel >= 2.6.18
BuildRequires:	libxslt-devel >= 1.1
BuildRequires:	openssl-devel
BuildRequires:	postgresql-backend-devel >= 8.3.0
BuildRequires:	postgresql-devel >= 8.3.0
BuildRequires:	wxGTK2-unicode-gl-devel >= 2.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pgmoduledir		%{_libdir}/postgresql

%description
pgAdmin III is designed to answer the needs of all users, from writing
simple SQL queries to developing complex databases. The graphical
interface supports all PostgreSQL features and makes administration
easy. The application also includes a query builder, an SQL editor, a
server-side code editor and much more. pgAdmin III is released with an
installer and does not require any additional driver to communicate
with the database server.

%description -l pl.UTF-8
pgAdmin III został zaprojektowany jako odpowiedź na potrzeby
wszystkich użytkowników, od pisania prostych zapytań SQL do tworzenia
skomplikowanych baz danych. Graficzny interfejs obsługuje wszystkie
możliwości PostgreSQL-a i ułatwia administrowanie. Aplikacja zawiera
także narzędzie do budowania zapytań, edytor SQL, edytor kodu po
stronie serwera i wiele więcej. pgAdmin III został wydany z
instalatorem i nie wymaga żadnego dodatkowego sterownika do
komunikowania z serwerem baz danych.

%prep
%setup -q
%patch0 -p1

%build
rm -f config/*
%{__aclocal}
%{__autoconf}
cp -f config.rpath.in config/config.rpath
%{__automake}
%configure \
	--with-wx-config="%{_bindir}/wx-gtk2-unicode-config" \
	--with-wx-version="2.8"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_pgmoduledir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install pkg/debian/pgadmin3.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/pgadmin3.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/pgadmin3.desktop
%{_pixmapsdir}/pgadmin3.xpm
%changelog
* Wed Sep 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pgadmin3.git;a=log;h=master

* Wed Sep 11 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 150f511
- up to 1.18.0

* Thu Dec 06 2012 Andrzej Zawadzki <zawadaa@pld-linux.org> 96b752a
- fix for multiple comments
- patch from pgadmin list - thanks Dave

* Thu Dec 06 2012 Andrzej Zawadzki <zawadaa@pld-linux.org> bc7de1a
- up to 1.16.1

* Fri Sep 21 2012 Andrzej Zawadzki <zawadaa@pld-linux.org> f44eed9
- up to 1.16.0

* Fri Jun 29 2012 Andrzej Zawadzki <zawadaa@gmail.com> 4946b67
- up to 1.14.3

* Fri Mar 30 2012 Andrzej Zawadzki <zawadaa@gmail.com> 530b144
- up to 1.14.2

* Sat Dec 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2247cdb
- up to 1.14.1

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 431e1bc
- up to 1.14.0

* Wed May 18 2011 Andrzej Zawadzki <zawadaa@gmail.com> c004915
- up to 1.12.3
- STBR

* Thu Mar 10 2011 spider <spider@pld-linux.org> 5f81bd9
- adaptarized

* Wed Mar 09 2011 spider <spider@pld-linux.org> fd62d44
- up to 1.12.2

* Wed Oct 27 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 45b6ff2
- up to 1.12.1

* Wed Sep 22 2010 Karol Krenski <charles@pld-linux.org> 28db2c6
- updated to 1.12.0

* Sat Jul 31 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c1d8b5
- up to 1.10.5

* Sat Jun 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 85c4038
- up to 1.10.3

* Thu May 13 2010 Jan Rękorajski <baggins@pld-linux.org> d26d380
- rel 2
- fixed desktop categories

* Sun Mar 14 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ce2e36
- up to 1.10.2

* Sat Feb 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 88e3744
- release 2

* Sat Dec 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c7958d
- up to 1.10.1

* Thu Jul 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7056cdb
- up to 1.10.0

